Loading...
Searching...
No Matches
XrdPollInfo Class Reference

`#include <XrdPollInfo.hh>`

Collaboration diagram for XrdPollInfo:

## Public Member Functions

| XrdPollInfo (XrdLink &lnk)
| ~XrdPollInfo ()
void | Zorch ()

## Public Attributes

int | FD
bool | inQ
bool | isEnabled
XrdLink & | Link
XrdPollInfo * | Next
struct pollfd * | PollEnt
XrdPoll * | Poller
char | rsv [2]

## Detailed Description

Definition at line 36 of file XrdPollInfo.hh.

## Constructor & Destructor Documentation

## XrdPollInfo()

XrdPollInfo::XrdPollInfo | ( | XrdLink & | lnk | ) |

inline

Definition at line 55 of file XrdPollInfo.hh.

: Link(lnk) {Zorch();}
XrdPollInfo::Zorch
void Zorch()
Definition XrdPollInfo.hh:49
XrdPollInfo::Link
XrdLink & Link
Definition XrdPollInfo.hh:41

References Link, and Zorch().

Here is the call graph for this function:

## ~XrdPollInfo()

XrdPollInfo::~XrdPollInfo | ( |  | ) |

inline

Definition at line 56 of file XrdPollInfo.hh.

{}

## Member Function Documentation

## Zorch()

void XrdPollInfo::Zorch | ( |  | ) |

inline

Definition at line 49 of file XrdPollInfo.hh.

{Next = 0; PollEnt = 0;
Poller = 0; FD = -1;
isEnabled = false; inQ = false;
rsv[0] = 0; rsv[1] = 0;
}
XrdPollInfo::PollEnt
struct pollfd * PollEnt
Definition XrdPollInfo.hh:42
XrdPollInfo::FD
int FD
Definition XrdPollInfo.hh:44
XrdPollInfo::Next
XrdPollInfo * Next
Definition XrdPollInfo.hh:40
XrdPollInfo::rsv
char rsv[2]
Definition XrdPollInfo.hh:47
XrdPollInfo::inQ
bool inQ
Definition XrdPollInfo.hh:45
XrdPollInfo::isEnabled
bool isEnabled
Definition XrdPollInfo.hh:46
XrdPollInfo::Poller
XrdPoll * Poller
Definition XrdPollInfo.hh:43

References FD, inQ, isEnabled, Next, PollEnt, Poller, and rsv.

Referenced by XrdPollInfo().

Here is the caller graph for this function:

## Member Data Documentation

## FD

int XrdPollInfo::FD

Definition at line 44 of file XrdPollInfo.hh.

Referenced by XrdLinkCtl::Alloc(), XrdPoll::Attach(), XrdPoll::Detach(), XrdPollE::Disable(), XrdPollPoll::Disable(), XrdPollE::Enable(), XrdPollPoll::Enable(), XrdPollPoll::Exclude(), XrdPoll::Finish(), XrdPollE::Include(), XrdPollPoll::Include(), XrdPollE::Start(), and Zorch().

## inQ

bool XrdPollInfo::inQ

Definition at line 45 of file XrdPollInfo.hh.

Referenced by XrdPollPoll::Disable(), XrdPollPoll::Enable(), XrdPollPoll::Exclude(), XrdPollPoll::Start(), and Zorch().

## isEnabled

bool XrdPollInfo::isEnabled

Definition at line 46 of file XrdPollInfo.hh.

Referenced by XrdPollE::Disable(), XrdPollPoll::Disable(), XrdPollE::Enable(), XrdPollPoll::Enable(), XrdPollE::Exclude(), XrdPollPoll::Exclude(), XrdLinkCtl::idleScan(), XrdPollE::Start(), XrdPollPoll::Start(), and Zorch().

## Link

XrdLink& XrdPollInfo::Link

Definition at line 41 of file XrdPollInfo.hh.

Referenced by XrdPollInfo(), XrdPoll::Detach(), XrdPollE::Disable(), XrdPollPoll::Disable(), XrdPollE::Enable(), XrdPollPoll::Enable(), XrdPollE::Exclude(), XrdPollPoll::Exclude(), XrdPoll::Finish(), XrdPollE::Include(), XrdPollPoll::Include(), XrdPollE::Start(), and XrdPollPoll::Start().

## Next

XrdPollInfo* XrdPollInfo::Next

Definition at line 40 of file XrdPollInfo.hh.

Referenced by XrdPollPoll::Enable(), XrdPollPoll::Start(), and Zorch().

## PollEnt

struct pollfd* XrdPollInfo::PollEnt

Definition at line 42 of file XrdPollInfo.hh.

Referenced by XrdPollPoll::Disable(), XrdPollPoll::Enable(), XrdPollPoll::Exclude(), XrdPollPoll::Include(), XrdPollPoll::Start(), and Zorch().

## Poller

XrdPoll* XrdPollInfo::Poller

Definition at line 43 of file XrdPollInfo.hh.

Referenced by XrdPoll::Attach(), XrdPoll::Detach(), XrdLinkCtl::idleScan(), and Zorch().

## rsv

char XrdPollInfo::rsv[2]

Definition at line 47 of file XrdPollInfo.hh.

Referenced by Zorch().

The documentation for this class was generated from the following file:

- XrdPollInfo.hh